Search for a referrer by name (or email) to allow your customer to find their friend via NameShare.
If an exact match is found, we will return a 200 response. The 200 response will include the referrerMentionMeIdentifier and referrerToken. You should next collect the referee's details (i.e. their email address) and register them with the "Register referee" API. Completion of the registration with a valid email, referrerMentionMeIdentifier and referrerToken will allow the referee to gain their reward.
If no exact match is found, we will return a 404 response. A 404 may indicate we didn't find anyone, or it may indicate that we found multiple people with the same name. If we did find multiple people with the same name, we will also set the foundMultipleReferrers parameter in the root of the response to true.
If foundMultipleReferrers is set to true, the client should prompt the referee to narrow down the search, e.g. by entering the email address of the referrer. The exact narrowing strategy is up to the client.
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
403Returned when the integration for this merchant is not enabled
404Returned when it is not possible to find a match for this search
500The request contains errors
503The service was unavailable, try again shortly